Subject: Re: [PATCH 3/3] notes: don't indent empty lines

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Sep 2021 11:33:52 -0700

Eric Sunshine <[email-masked]> writes:

> Have we made a decision about whether this patch series -- which
> avoids indenting blank notes lines -- is desirable? Or are we worried
> about backward-compatibility?

I do not know about "have we made" part of the question, but an
input from me to come to an answer to the question is that, while I
can see why it may be desirable in some cases, I do not view it as
compelling enough to risk any unforeseen breakage to other peoples'
workflow.  My opinion is based on an assumption that it is desirable
because it would squelch "here is a trailing whitespace" noise in an
editor and/or a pager that is appropriately configured and allow the
user to spot whitespace breakages in the payload more easily and for
no other reason.  If there are other reasons that make this change
desirable, they might influence my opinion.